﻿using UnityEngine;

public class ToolModeText : MonoBehaviour
{
    private UnityEngine.UI.Text CachedTextField;

    private void Awake()
    {
        CachedTextField = GetComponentInChildren<UnityEngine.UI.Text>();
        CommunicationEvents.ToolModeChangedEvent.AddListener(OnToolModeChanged);
    }

    void OnToolModeChanged(int id)
    {
        //When ToolMode changes: Change Text of active gadget
        CachedTextField.text = GadgetBehaviour.gadgets[id].UiName;
    }
}
